<!DOCTYPE html>
<html>
  <body>
    <ul>
      {%- for obj_id in ids_list %}
      <li>
        {#- Raw ID (simply applies the `string` filter) -#}
        {%- set raw_id = obj_id|string -%}
        {{ obj_id }}    {#- Calls the instances string representation -#}
        | {{ raw_id }}  {#- Raw string ID display -#}
        | {{ obj_id.my_api_call() }}  {#- Object instance API call -#}
        | {{ my_api_call(raw_id) }}   {#- Context API call on raw ID -#}
      </li>
      {%- endfor %}
    </ul>
  </body>
</html>
